cudaTextureDesc(3)

NAME
cudaTextureDesc -

SYNOPSIS

  Data Fields

enum cudaTextureAddressMode addressMode [3]
float borderColor [4]
int disableTrilinearOptimization
enum cudaTextureFilterMode filterMode
unsigned int maxAnisotropy
float maxMipmapLevelClamp
float minMipmapLevelClamp
enum cudaTextureFilterMode mipmapFilterMode
float mipmapLevelBias
int normalizedCoords
enum cudaTextureReadMode readMode

Detailed Description

CUDA texture descriptor

Field Documentation

  enum cudaTextureAddressMode cudaTextureDesc::addressMode[3]

Texture address mode for up to 3 dimensions

  float cudaTextureDesc::borderColor[4]

Texture Border Color

  int cudaTextureDesc::disableTrilinearOptimization

Disable any trilinear filtering optimizations.

  enum cudaTextureFilterMode cudaTextureDesc::filterMode

Texture filter mode

  unsigned int cudaTextureDesc::maxAnisotropy

Limit to the anisotropy ratio

  float cudaTextureDesc::maxMipmapLevelClamp

Upper end of the mipmap level range to clamp access to

  float cudaTextureDesc::minMipmapLevelClamp

Lower end of the mipmap level range to clamp access to

  enum cudaTextureFilterMode cudaTextureDesc::mipmapFilterMode

Mipmap filter mode

  float cudaTextureDesc::mipmapLevelBias

Offset applied to the supplied mipmap level

  int cudaTextureDesc::normalizedCoords

Indicates whether texture reads are normalized or not

  enum cudaTextureReadMode cudaTextureDesc::readMode

Texture read mode

Author

Generated automatically by Doxygen from the source code.